Name: anyremote
Version: 4.12
Release: alt1

Summary: Remote control through bluetooth or IR connection
License: GPLv2+
Group: Networking/Other
Url: http://anyremote.sf.net

Packager: Terechkov Evgenii <evg@altlinux.ru>

Source: %name-%version.tar.gz

# Automatically added by buildreq on Wed Dec 03 2008 (-bi)
BuildRequires: libX11-devel libXtst-devel libbluez-devel tzdata xorg-inputproto-devel xorg-xextproto-devel

%description
The overall goal of this project is to provide wireless Bluetooth,
InfraRed or Wi-Fi remote control service on Linux. In contrast with
other Bluetooth remote control programs anyremote is not limited to
SonyEriccson or JSR-82 capable phones. It was developed as just thin
"communication" layer beetween Bluetooth, Wi-Fi or IR-capabled phone
and Linux, and in principle could be configured to manage any
software.

Recommends: %name-j2me

%package X11
Summary: A X11 version of anyremote
Group: Networking/Other

%description X11
The overall goal of this project is to provide wireless Bluetooth,
InfraRed or Wi-Fi remote control service on Linux. In contrast with
other Bluetooth remote control programs anyremote is not limited to
SonyEriccson or JSR-82 capable phones. It was developed as just thin
"communication" layer beetween Bluetooth, Wi-Fi or IR-capabled phone
and Linux, and in principle could be configured to manage any
software.

Builded with X11.

Recommends: %name-j2me

%prep
%setup -q

%build
%autoreconf
%configure --disable-xtest
%make_build
mv src/%name src/%name-nox
make distclean
%autoreconf
%configure
%make_build

%install
%make_install DESTDIR=%buildroot install
ln -sf %_licensedir/GPL-2 COPYING

mv %buildroot%_bindir/%name %buildroot%_bindir/%name-X11
mv src/%name-nox %buildroot%_bindir/%name

%files
%_bindir/%name
%doc README NEWS cfg-data doc-html keymaps AUTHORS ChangeLog TODO
%doc -d COPYING

%files X11
%_bindir/%name-X11

%changelog
* Tue Dec  2 2008 Terechkov Evgenii <evg@altlinux.ru> 4.12-alt1
- 4.12
- Buildrequires updated to fix build

* Sun Jul 27 2008 Terechkov Evgenii <evg@altlinux.ru> 4.6-alt1
- 4.6

* Sun Mar 23 2008 Terechkov Evgenii <evg@altlinux.ru> 4.4-alt1
- 4.4
- BuildRequires updated
- New package %name-X11 builded with xautomation support
- J2ME part moved to %name-j2me package (upstream license issues)
- Obsoleted Patch1 removed (fixed in upstream)

* Wed Jan  2 2008 Terechkov Evgenii <evg@altlinux.ru> 4.0-alt1
- 4.0
- Patch1 added to fix build
- BuildRequires updated
- Russian translations removed from spec (Specspo)

* Fri Aug 24 2007 Terechkov Evgenii <evg@altlinux.ru> 3.1-alt1
- 3.1

* Sat Jun 23 2007 Terechkov Evgenii <evg@altlinux.ru> 2.12-alt3
- Spec cleanup

* Thu Jun 14 2007 Terechkov Evgenii <evg@altlinux.ru> 2.12-alt2
- Russian summary and description removed (Specspo)

* Wed May 30 2007 Terechkov Evgenii <evg@altlinux.ru> 2.12-alt1
- 2.12
- Doubled anyRemote.ja[dr] files removed. Look for them in doc-html dir

* Thu Apr 26 2007 Terechkov Evgenii <evg@altlinux.ru> 2.11-alt1
- 2.11

* Tue Apr 24 2007 Terechkov Evgenii <evg@altlinux.ru> 2.11-alt0
- 2.11-alpha
- Patch1 removed (fixed in  upstream)

* Thu Apr 12 2007 Terechkov Evgenii <evg@altlinux.ru> 2.9-alt2
- Patch1 added to fix "Too many open files" crash and set rigth files place

* Sun Mar 11 2007 Terechkov Evgenii <evg@altlinux.ru> 2.9-alt1
- 2.9
- LDADD="-lbluetooth" added to fix --as-needed

* Wed Nov 01 2006 Artem Zolochevskiy <azol@altlinux.ru> 1.4-alt1
- new version
- added russian description & summary

* Mon Oct 23 2006 Artem Zolochevskiy <azol@altlinux.ru> 1.3-alt1
 - initial build for Sisyphus
